org.apache.catalina.valves.rewrite

## Class InternalRewriteMap

- java.lang.Object
- - org.apache.catalina.valves.rewrite.InternalRewriteMap

-     public class InternalRewriteMap
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InternalRewriteMap.Escape`
    `static class` | `InternalRewriteMap.LowerCase`
    `static class` | `InternalRewriteMap.Unescape`
    `static class` | `InternalRewriteMap.UpperCase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalRewriteMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RewriteMap` | `toMap(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalRewriteMap

          public InternalRewriteMap()

  - ### Method Detail

    - #### toMap

          public static RewriteMap toMap(String name)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.